This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 196713 - Transliteration does not work in cs_CZ locale
Transliteration does not work in cs_CZ locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 13:20 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-19 13:45:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2006-06-26 13:20:24 EDT
Description of problem:
when using the cs_CZ.UTF-8 locale in LC_CTYPE category, iconv cannot encode
non-ascii data to the "us-ascii//TRANSLIT" encoding.

Version-Release number of selected component (if applicable):
glibc-common-2.4-8

How reproducible:
100%

Steps to Reproduce:
1. LC_CTYPE=cs_CZ.UTF-8 iconv -f utf-8 -t us-ascii//TRANSLIT <<EOF
á
EOF
# the above was lowercase "a" with acute above character
  
Actual results:
The character "á" is transliterated as "?".

Expected results:
The character "á" should be transliterated as "a".


Additional info:
Pavel Kankovsky suggested that the following lines should be added to
the locale definition, to the LC_CTYPE section:

  translit_start
  include "translit_combining";""
  translit_end

I don't know the transliteration rules for the English language, but the en_US
and en_GB locales should probably be changed as well For example, the cy_GB
locale contains the above section as well.
Comment 1 Ulrich Drepper 2006-07-30 18:14:47 EDT
I've added transliteration support in all locales now.  The next rawhide build
will have the changes.
Comment 2 Ulrich Drepper 2006-08-19 13:45:55 EDT
The current rawhide code has the fix.  There is an unrelated problem with iconv
emitting an unnecessary error message which can be ignored for now.  It's fixed
in cvs, too, and will be in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.